MiscUtils.ParamFactory | index /usr/local/share/webware/MiscUtils/ParamFactory.py

Classes

``

ParamFactory

class ParamFactory

``

Methods defined here:

__call__(self, *args)

__init__(self, klass, **extraMethods)

allInstances(self)

Functions

``

Lock = allocate_lock(...)
  `allocate_lock() -> lock object
  (allocate() is an obsolete synonym)
  Create a new lock object. See LockType.__doc__ for information about locks.`